[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNode.Delete

Frees the current tree node when the Deleting property is not True.

## Declaration

Source position: comctrls.pp line 3137

`public procedure TTreeNode.Delete;`

## Description

Delete is a method used to remove the tree node from its TTreeNodes container. Delete calls Free to destroy the object instance if the Deleting property is not set to True. No actions are performed when Deleting is True.

## See also

TTreeNodes.Delete |  | Removes the specified tree node from the container.